Package net.snowflake.client.util

## Enum Platform

- java.lang.Object
- - java.lang.Enum<Platform>
  - - net.snowflake.client.util.Platform

All Implemented Interfaces:
  `Serializable`, `Comparable<Platform>`

    @SnowflakeJdbcInternalApi
    public enum Platform
    extends Enum<Platform>

Enum representing all detectable cloud platforms and identity providers.

### Enum Constant Summary

Enum Constants
`HAS_AWS_IDENTITY`
`HAS_AZURE_MANAGED_IDENTITY`
`HAS_GCP_IDENTITY`
`IS_AWS_LAMBDA`
`IS_AZURE_FUNCTION`
`IS_AZURE_VM`
`IS_EC2_INSTANCE`
`IS_GCE_CLOUD_RUN_JOB`
`IS_GCE_CLOUD_RUN_SERVICE`
`IS_GCE_VM`
`IS_GITHUB_ACTION`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getValue()`
`String` `toString()`
`static Platform` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static Platform[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### IS_AWS_LAMBDA

    public static final Platform IS_AWS_LAMBDA

#### IS_AZURE_FUNCTION

    public static final Platform IS_AZURE_FUNCTION

#### IS_GCE_CLOUD_RUN_SERVICE

    public static final Platform IS_GCE_CLOUD_RUN_SERVICE

#### IS_GCE_CLOUD_RUN_JOB

    public static final Platform IS_GCE_CLOUD_RUN_JOB

#### IS_GITHUB_ACTION

    public static final Platform IS_GITHUB_ACTION

#### IS_EC2_INSTANCE

    public static final Platform IS_EC2_INSTANCE

#### HAS_AWS_IDENTITY

    public static final Platform HAS_AWS_IDENTITY

#### IS_AZURE_VM

    public static final Platform IS_AZURE_VM

#### HAS_AZURE_MANAGED_IDENTITY

    public static final Platform HAS_AZURE_MANAGED_IDENTITY

#### IS_GCE_VM

    public static final Platform IS_GCE_VM

#### HAS_GCP_IDENTITY

    public static final Platform HAS_GCP_IDENTITY

### Method Detail

#### values

    public static Platform[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Platform c : Platform.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Platform valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getValue

    public String getValue()

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<Platform>`